<template>
  <div class="modal" v-if="isOpened">
    <form class="form">
      <h1 class="modal-title">{{ modalText }}</h1>
      <div class="modal-button">
        <the-button isOrange @click="close" buttonText="Закрыть"></the-button>
      </div>
    </form>
  </div>
</template>

<script>
import { computed } from 'vue'
import { useStore } from 'vuex'
import { useRouter } from 'vue-router'
import TheButton from '@/components/ui/TheButton'

export default {
  components: {
    TheButton
  },
  props: {
    modalText: {
      type: String,
      default: ''
    }
  },
  setup () {
    const store = useStore()
    const router = useRouter()
    const isOpened = computed(() => store.getters.GetIsModalOpened)
    const isGoToMainPage = computed(() => store.getters.GetIsGoToMainPage)
    const close = () => {
      store.commit('SetIsModalOpened', false)
      if (isGoToMainPage.value) {
        router.push('/')
      }
      store.commit('SetIsGoToMainPage', false)
    }
    return {
      isOpened, close
    }
  }
}
</script>

<style lang="scss" scoped>
.modal {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  inset: 0;
  z-index: 1;
  background-color: rgb(0, 0, 0, 70%);

  .form {
    text-align: center;
    width: 300px;
    height: 150px;
    background-color: #FFFFFF;

    .modal-title {
      margin-top: 35px;
      color: #161516;
      font-family: Montserrat;
      font-size: 17px;
      text-transform: uppercase;
    }

    .modal-button {
      margin-top: 20px;
    }
  }
}
</style>
